/*
 * CampoMayoraUnaFecha.java
 *
 * Created on 23 de marzo de 2007, 07:42 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 *
 * @author Julian
 */
public class CampoMayoraUnaFecha extends AbstractRule {

    String DATE_FORMAT = "dd/MM/yyyy";

    SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.
    /**
     * Creates a new instance of CampoVacio
     */
    public CampoMayoraUnaFecha() {
        sdf = new SimpleDateFormat(DATE_FORMAT);
        sdf.setLenient(false);
    }

    public boolean performValidation(String field, String registro[],
            String nombreArchivo) {
        Date dateOtra;
        String fechaOtra = (String) getParams()[0];
        if (field.length() != 10) {
            return true;
        }
        Date dateCampo = null;
        if (!ValidarFecha.esFecha(field)) {
            return true;
        }
        try {
            dateCampo = sdf.parse(field);
            dateOtra = sdf.parse(fechaOtra);
        } catch (Exception e) {
            return true;
        }

        if (dateCampo.after(dateOtra)) {
            return false;
        }

        return true;
    }
}
